package door

type Extended int8

const (
	NOP Extended = iota
	UP_ARROW
	DOWN_ARROW
	RIGHT_ARROW
	LEFT_ARROW
	HOME
	END
	PAGE_UP
	PAGE_DOWN
	INSERT
	DELETE
	F1
	F2
	F3
	F4
	F5
	F6
	F7
	F8
	F9
	F10
	F11
	F12
	MOUSE
	CURSOR
	ALT_a
	ALT_b
	ALT_c
	ALT_d
	ALT_e
	ALT_f
	ALT_g
	ALT_h
	ALT_i
	ALT_j
	ALT_k
	ALT_l
	ALT_m
	ALT_n
	ALT_o
	ALT_p
	ALT_q
	ALT_r
	ALT_s
	ALT_t
	ALT_u
	ALT_v
	ALT_w
	ALT_x
	ALT_y
	ALT_z
	ALT_A
	ALT_B
	ALT_C
	ALT_D
	ALT_E
	ALT_F
	ALT_G
	ALT_H
	ALT_I
	ALT_J
	ALT_K
	ALT_L
	ALT_M
	ALT_N
	ALT_O
	ALT_P
	ALT_Q
	ALT_R
	ALT_S
	ALT_T
	ALT_U
	ALT_V
	ALT_W
	ALT_X
	ALT_Y
	ALT_Z
	UNKNOWN
)

//go:generate stringer -type=Extended
